/**
 * 各イベント処理
 */

//設定保存
function timerSet(){
	if($("#team_1_name").val() == ""){
		$("#team_1_name").val("Home Team");
	}
	if($("#team_2_name").val() == ""){
		$("#team_2_name").val("Away Team");
	}

	localStorage['team_1_name'] = $("#team_1_name").val();
	localStorage['team_2_name'] = $("#team_2_name").val();
	localStorage['time_min'] = $("#time_min").val();
	localStorage["home_score"] = "0";
	localStorage["away_score"] = "0";

	location.href="timer.html";
	
	return true;
}

//設定リセット
function setReSet(){
	localStorage.removeItem("team_1_name");
	localStorage.removeItem("team_2_name");
	localStorage.removeItem("time_min");
	location.href="/";
	return true;
}
var t1 = "";
var t2 = "";

function timer_reset(){
	localStorage['team_1_name'] = t1;
	localStorage['team_2_name'] = t2;
	localStorage["home_score"] = "0";
	localStorage["away_score"] = "0";
	location.href="timer.html";
	return true;
	
}

function change_court(){
	t1 = localStorage['team_1_name'];
	t2 = localStorage['team_2_name'];
	
	$("#team_1_name_lbl").html(subs(t2,"15"));
	$("#team_2_name_lbl").html(subs(t1,"15"));
	localStorage['team_1_name'] = t2;
	localStorage['team_2_name'] = t1;

	hsc = $("#home_score").val();
	awc = $("#away_score").val();
	$("#home_score").val(awc);
	$("#away_score").val(hsc);
	localStorage["home_score"] = awc;
	$("#home_score_disp").html(intToImg($("#home_score").val(),"sc"));
	localStorage["away_score"] = hsc;
	$("#away_score_disp").html(intToImg($("#away_score").val(),"sc"));
}

//メニュー関係
function showintro(lang){
	$("#engmenu").hide();
	$("#jpmenu").hide();
	if(lang == "jp" && $("#"+lang+"_flg").val() == "0" && $("#eng_flg").val() == "1"){
		$("#eng_flg").val("0");
	}else if(lang == "eng" && $("#"+lang+"_flg").val() == "0" && $("#jp_flg").val() == "1"){
		$("#jp_flg").val("0");
	}
	if($("#"+lang+"_flg").val() == "1"){
		$("#"+lang+"menu").hide();
		$("#"+lang+"_flg").val("0");
	}else{
		$("#"+lang+"menu").fadeIn("fast");
		$("#"+lang+"_flg").val("1");
	}
}

function introhide(){
	$("#engmenu").hide();
	$("#jpmenu").hide();
}

//各タイマー
var main_timer,sec24_timer;
$("#main_timer .number0bg span img").click(function(){
	main_timer_start();
});

//タイマークリックイベント
function main_timer_start(){
	ts = $("#time_sec").val();
	min = $("#time_min").val();
	tm = $("#time_miri").val();
	//00:00のときは処理を行わない
	if(min == "00" && ts == "00"){
		clearInterval(main_timer);
		return;
	}
	if($("#main_timer_flg").val()=="0"){
		$("#main_timer_flg").val("1");
		main_timer = setInterval( "main_timer_count()", 100 );
	}else{
		$("#main_timer_flg").val("0");
		clearInterval(main_timer);
		return;
	}
}

//タイマーカウントイベント
function main_timer_count(){
	ts = $("#time_sec").val();
	tm = $("#time_miri").val();
	min = $("#time_min").val();
	
	if(min == "00" && tm == "0" && ts == "00"){
		$("#main_timer_flg").val("0");
		clearInterval(main_timer);
		main_timer = null;
		alert("Time Over!!"); //ブザー音入れる
		$("#time_miri_disp").hide();
		return;
	}
	
	//10分の1秒表示
	if(min == "00"){
		$("#time_miri_disp").fadeIn();
	}else{
		$("#time_miri_disp").hide();
	}
	if(tm == "0"){
		if(ts != "00"){
			$("#time_miri").val("9");
			$("#time_sec").val(("0"+(parseInt(ts) - 1).toString()).slice(-2));
		}
	}else{
		$("#time_miri").val((parseInt(tm) - 1).toString());
	}
	if(ts == "00" || ts == "0"){
		if(min != "00" && tm != "00"){
			$("#time_sec").val("59");
			$("#time_min").val(("0"+(parseInt(min) - 1).toString()).slice(-2));
		}
	}
	$("#time_sec_disp").html(intToImg($("#time_sec").val(),""));
	$("#time_min_disp").html(intToImg($("#time_min").val(),""));
	secht="";
	secht+= "<span class=\"number0bg\"><span>\n";
	secht+= "<img src=\"/img/time_sec.png\" class=\"img-responsive\" />";
	secht+= "</span></span>\n";
	$("#time_miri_disp").html(secht+intToImg($("#time_miri").val(),""));

}

function sec24_start(){
	ts = $("#sec24").val();
	//00のときは24に戻してストップ
	if(ts == "00"){
		return false;
	}
	if($("#sec24_flg").val()=="0"){
		sec24_timer = setInterval( "sec24_count()", 1000 );
		$("#sec24_flg").val("1");
	}else{
		$("#sec24_flg").val("0");
		clearInterval(sec24_timer);
	}
}

function sec24_count(){
	ts = $("#sec24").val();

	$("#sec24").val(("0"+(parseInt(ts) - 1).toString()).slice(-2));
	$("#sec24_disp").html(intToImg($("#sec24").val(),""));
	ts = $("#sec24").val();
	//00のときは処理を行わない
	if(ts == "00"){
		alert("24 over time!!");
		sec24reset();
		$("#sec24_flg").val("0");
		clearInterval(sec24_timer);
		return false;
	}
}

//新ルール対応　14秒開始
function sec24to14(){
	clearInterval(sec24_timer);
	sec24_timer = null;
	$("#sec24").val("14");
	$("#sec24_disp").html(intToImg($("#sec24").val(),""));
}
//リセット
function sec24reset(){
	clearInterval(sec24_timer);
	sec24_timer = null;
	$("#sec24_flg").val("0");
	$("#sec24").val("24");
	$("#sec24_disp").html(intToImg($("#sec24").val(),""));
}
//リスタート
function sec24restart(){
	sec24reset();
	sec24_start();
}
function sec24_add(){
	clearInterval(sec24_timer);
	sec24_timer = null;
	$("#sec24_flg").val("0");
	ts = $("#sec24").val();
	if(ts == "24"){
		clearInterval(sec24_timer);
		sec24_timer = null;
		$("#sec24_flg").val("0");
		$("#sec24").val("00");
		$("#sec24_disp").html(intToImg($("#sec24").val(),""));
	}else{
		sec24_sum(1);
	}
}
function sec24_sub(){
	clearInterval(sec24_timer);
	sec24_timer = null;
	$("#sec24_flg").val("0");
	ts = $("#sec24").val();
	if(ts == "00"){
		sec24reset();
	}else{
		sec24_sum(-1);
	}
}
//24秒計算
function sec24_sum(addsub){
	ts = $("#sec24").val();
	$("#sec24").val(("0"+(parseInt(ts) + (addsub)).toString()).slice(-2));

	$("#sec24_disp").html(intToImg($("#sec24").val(),""));
}


function score_add(sc){
	score_sum(sc,1);
}
function score_sub(sc){
	ts = $("#"+sc+"_score").val();
	if(ts != 0){
		score_sum(sc,-1);
	}else{
		alert("0未満にはできません");
	}
}
//得点計算
function score_sum(sc,addsub){
	ts = $("#"+sc+"_score").val();
	$("#"+sc+"_score").val((parseInt(ts) + (addsub)).toString());
	localStorage[sc+"_score"] = $("#"+sc+"_score").val();
	$("#"+sc+"_score_disp").html(intToImg($("#"+sc+"_score").val(),"sc"));
}

//タイマー分
function min_add(){
	min_sum(1);
}
function min_sub(){
	min_sum(-1);
}
//タイマー分計算
function min_sum(addsub){
	$("#time_miri_disp").hide();
	clearInterval(main_timer);
	main_timer = null;
	ts = $("#time_min").val();
	if(ts == "00" && addsub < 0){
		$("#time_min").val("99");
	}else if(ts == "99" && addsub > 0){
		$("#time_min").val("00");
	}else{
		$("#time_min").val(("0"+(parseInt(ts) + (addsub)).toString()).slice(-2));
	}
	
	$("#time_min_disp").html(intToImg($("#time_min").val(),""));
}

//タイマー秒
function sec_add(){
	sec_sum(1);
}
function sec_sub(){
	sec_sum(-1);
}
//タイマー秒計算
function sec_sum(addsub){
	$("#time_miri_disp").hide();
	clearInterval(main_timer);
	main_timer = null;
	ts = $("#time_sec").val();
	if(ts == "00" && addsub < 0){
		$("#time_sec").val("59");
	}else if(ts == "59" && addsub > 0){
		$("#time_sec").val("00");
	}else{
		$("#time_sec").val(("0"+(parseInt(ts) + (addsub)).toString()).slice(-2));
	}
	$("#time_sec_disp").html(intToImg($("#time_sec").val(),""));
}


//タイマーミリ秒
function miri_add(){
	miri_sum(1);
}
function miri_sub(){
	miri_sum(-1);
}
//タイマーミリ秒計算
function miri_sum(addsub){
	clearInterval(main_timer);
	main_timer = null;
	tm = $("#time_miri").val();
	if(tm == "0" && addsub < 0){
		$("#time_miri").val("9");
	}else if(tm == "9" && addsub > 0){
		$("#time_miri").val("0");
	}else{
		$("#time_miri").val((parseInt(tm) + (addsub)).toString());
	}
	secht="";
	secht+= "<span class=\"number0bg\"><span>\n";
	secht+= "<img src=\"/img/time_sec.png\" class=\"img-responsive\" />";
	secht+= "</span></span>\n";
	$("#time_miri_disp").html(secht+intToImg($("#time_miri").val(),""));
}



