/**
 * ローカルストレージに設定値保存
 */
var pname = location.pathname;
pname = pname.replace( "/", "" );
pname = pname.replace( ".html" , "" );
localStorage['page_info_name'] = pname;
screen = '<div id="scale_screen">本アプリは横画面のみ対応しております。<br />This application corresponds to only the side screen.</div>';

/**
 * HTML生成時の処理
 */
$(document).ready(function ($) {
    //縦横判定
    if (isMobile() && window.orientation != undefined) {
        $(document.body).append(screen);
		if (Math.abs(window.orientation) != 90) {
			$("#scale_screen").fadeIn("fast");
			$("#main").hide();
			return;
		} else {
			$("#main").fadeIn("fast");
			$("#scale_screen").hide();
		}
	} else {
		$("#main").show();
	}
	//チーム名設定あった場合は初期セット
    if (typeof (localStorage['team_1_name']) != "undefined" && localStorage['team_1_name'] != "" && localStorage['team_1_name'] != null) {
    	$("#team_1_name").val(localStorage['team_1_name']);
    	$("#team_1_name_lbl").html(subs(localStorage['team_1_name'],"15"));
    }else{
    	$("#team_1_name").val("Home Team");
    	$("#team_1_name_lbl").html("Home Team");
    }
    if (typeof (localStorage['team_2_name']) != "undefined" && localStorage['team_2_name'] != "" && localStorage['team_2_name'] != null) {
    	$("#team_2_name").val(localStorage['team_2_name']);
    	$("#team_2_name_lbl").html(subs(localStorage['team_2_name'],"15"));
    }else{
    	$("#team_2_name").val("Away Team");
    	$("#team_2_name_lbl").html("Away Team");
    }
    if (typeof (localStorage['time_min']) != "undefined" && localStorage['time_min'] != "" && localStorage['time_min'] != null) {
    	$("#time_min").val(("0"+localStorage['time_min']).slice(-2));
    }else{
    	$("#time_min").val("10");
    }
});

//文字列を任意の文字数で切りだして...つける
//sizeを超えていなかったらそのまま
function subs(word, size) {
  if (size == null || size == "") {
      size = 10;
  }
  if (word.length > size) {

      return es(word.substr(0,size)) + "…";

  } else {
      return es(word);
  }
}


//エスケープ処理
function es(str) {
  if (str == null || typeof(str) == "undefined") {
      return ""; 
  }
  var TABLE_FOR_ESCAPE_HTML = {
      "&": "&amp;",
      "\"": "&quot;",
      "<": "&lt;",
      ">": "&gt;"
  };
  return str.replace(/[&"<>]/g, function (match) {
      return TABLE_FOR_ESCAPE_HTML[match];
  });
}

/**
 * 端末向き変更イベントハンドラ
 */
$(window).on("orientationchange", orientationChange);
/**
 * 端末向き変更時の表示非表示
 */
function orientationChange() {
    if (isMobile() && window.orientation != undefined) {
        $(document.body).append(screen);
		if (Math.abs(window.orientation) != 90) {
			$("#scale_screen").fadeIn("fast");
			$("#main").hide();
			return;
		} else {
			$("#main").fadeIn("fast");
			$("#scale_screen").remove();
		}
	}
}

/**
 * モバイル端末判定
 */
function isMobile() {
	if ((navigator.userAgent.indexOf('iPhone') > 0) ||
		(navigator.userAgent.indexOf('iPad') > 0) ||
		(navigator.userAgent.indexOf('iPod') > 0) ||
		(navigator.userAgent.indexOf('Android') > 0)) {
		return true;
	}
	return false;
}

function time_over(){
	html = "";
	timeo = $("#timeoh").val();
	timeo = parseInt(timeo) + 1;
	html = intToImg(timeo.toString());
	$("#timeoh").val(timeo.toString());
	$("#timeo").html(html);
}

//文字列（数字）を画像置換
function intToImg(word,kbn){
	html ="";
	if(word.length > 1){
		for(i=0;i <= word.length;i++){
			if(word.substr(i,1) != ""){
				html+= "<span class=\"number0bg\">\n";
				html+= "\t<span class=\"number"+ word.substr(i,1) +kbn+"\">\n";
				if(kbn=="sc"){
					html+= "<img src=\"/img/score"+ word.substr(i,1) +".png\" class=\"img-responsive\" />";
				}else{
					html+= "<img src=\"/img/time"+ word.substr(i,1) +".png\" class=\"img-responsive\" />";
				}
				html+= "\t</span>\n";
				html+= "</span>\n";
			}
		}
	}else if(word.length == 1){
		html+= "<span class=\"number0bg\">\n";
		html+= "\t<span class=\"number"+ word +kbn+"\">\n";
		if(kbn=="sc"){
			html+= "<img src=\"/img/score"+ word +".png\" class=\"img-responsive\" />";
		}else{
			html+= "<img src=\"/img/time"+ word +".png\" class=\"img-responsive\" />";
		}
		html+= "\t</span>\n";
		html+= "</span>\n";
	}
	return html;
}
